Loading...
Searching...
No Matches
BALL::HydrophobicVdWSurface Class Reference

`#include <BALL/QSAR/surfaceDescriptors.h>`

Inheritance diagram for BALL::HydrophobicVdWSurface:

## Public Member Functions

Constructors and Destructors
| HydrophobicVdWSurface ()
| HydrophobicVdWSurface (const HydrophobicVdWSurface &hs)
virtual | ~HydrophobicVdWSurface ()
Assignment
HydrophobicVdWSurface & | operator= (const HydrophobicVdWSurface &hs)
Public Member Functions inherited from BALL::SurfaceBase
| SurfaceBase ()
| SurfaceBase (const SurfaceBase &sb)
| SurfaceBase (const String &name)
| SurfaceBase (const String &name, const String &unit)
virtual | ~SurfaceBase ()
SurfaceBase & | operator= (const SurfaceBase &sb)
void | computeAllDescriptors (AtomContainer &ac)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
virtual double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Protected Member Functions inherited from BALL::SurfaceBase
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)

## Detailed Description

This descriptor calculates the sum of atomic SAS van der Waals surface areas of the molecule, of the hydrophobic atoms.

Definition at line 167 of file surfaceDescriptors.h.

## Constructor & Destructor Documentation

## HydrophobicVdWSurface() [1/2]

BALL::HydrophobicVdWSurface::HydrophobicVdWSurface | ( |  | ) |

Default constructor

## HydrophobicVdWSurface() [2/2]

BALL::HydrophobicVdWSurface::HydrophobicVdWSurface | ( | const HydrophobicVdWSurface & | hs | ) |

Copy constructor

## ~HydrophobicVdWSurface()

virtual BALL::HydrophobicVdWSurface::~HydrophobicVdWSurface | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## operator=()

HydrophobicVdWSurface & BALL::HydrophobicVdWSurface::operator= | ( | const HydrophobicVdWSurface & | hs | ) |

Assignment operator